Show / Hide Table of Contents

# Struct hkaSkeletonUtils

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaSkeletonUtils

### Methods

| Improve this Doc View Source

#### calcAabb(UInt32, hkQsTransformf*, Int16*, hkQsTransformf*, hkAabb*)

##### Declaration

    public static void calcAabb(uint numBones, hkQsTransformf*poseLocal, short *parentIndices, hkQsTransformf*worldFromModel, hkAabb*aabbOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | numBones |
hkQsTransformf* | poseLocal |
System.Int16* | parentIndices |
hkQsTransformf* | worldFromModel |
hkAabb* | aabbOut |

| Improve this Doc View Source

#### enforcePoseConstraintsModelSpace(hkaSkeleton*, hkQsTransformf*, hkQsTransformf*)

##### Declaration

    public static void enforcePoseConstraintsModelSpace(hkaSkeleton*skeleton, hkQsTransformf*constraintsLocal, hkQsTransformf*poseModelInOut)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaSkeleton* | skeleton |
hkQsTransformf* | constraintsLocal |
hkQsTransformf* | poseModelInOut |

| Improve this Doc View Source

#### getAncestors(hkaSkeleton*, Int16, hkArray<Int16>*)

##### Declaration

    public static void getAncestors(hkaSkeleton*skeleton, short startPoint, hkArray<short>*bonesOut)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaSkeleton* | skeleton |
System.Int16 | startPoint |
hkArray<System.Int16>* | bonesOut |

| Improve this Doc View Source

#### hasValidPartitions(hkaSkeleton*)

##### Declaration

    public static byte hasValidPartitions(hkaSkeleton*skeleton)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaSkeleton* | skeleton |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### markDescendants(hkaSkeleton*, Int32, Boolean*, Boolean)

##### Declaration

    public static void markDescendants(hkaSkeleton*skeleton, int startBone, bool *boolOut, bool includeStart)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaSkeleton* | skeleton |
System.Int32 | startBone |
System.Boolean* | boolOut |
System.Boolean | includeStart |

| Improve this Doc View Source

#### transformLocalPoseToModelPose(Int32, Int16*, hkQsTransformf*, hkQsTransformf*)

##### Declaration

    public static void transformLocalPoseToModelPose(int numTransforms, short *parentIndices, hkQsTransformf*poseLocal, hkQsTransformf*poseModelOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | numTransforms |
System.Int16* | parentIndices |
hkQsTransformf* | poseLocal |
hkQsTransformf* | poseModelOut |

| Improve this Doc View Source

#### transformLocalPoseToWorldPose(Int32, Int16*, hkQsTransformf*, hkQsTransformf*, hkQsTransformf*)

##### Declaration

    public static void transformLocalPoseToWorldPose(int numTransforms, short *parentIndices, hkQsTransformf*worldFromModel, hkQsTransformf*poseLocal, hkQsTransformf*poseWorldOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | numTransforms |
System.Int16* | parentIndices |
hkQsTransformf* | worldFromModel |
hkQsTransformf* | poseLocal |
hkQsTransformf* | poseWorldOut |

| Improve this Doc View Source

#### transformModelPoseToLocalPose(Int32, Int16*, hkQsTransformf*, hkQsTransformf*)

##### Declaration

    public static void transformModelPoseToLocalPose(int numTransforms, short *parentIndices, hkQsTransformf*poseModel, hkQsTransformf*poseLocalOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | numTransforms |
System.Int16* | parentIndices |
hkQsTransformf* | poseModel |
hkQsTransformf* | poseLocalOut |

| Improve this Doc View Source

#### transformWorldPoseToLocalPose(Int32, Int16*, hkQsTransformf*, hkQsTransformf*, hkQsTransformf*)

##### Declaration

    public static void transformWorldPoseToLocalPose(int numTransforms, short *parentIndices, hkQsTransformf*worldFromModel, hkQsTransformf*poseWorld, hkQsTransformf*poseLocalOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | numTransforms |
System.Int16* | parentIndices |
hkQsTransformf* | worldFromModel |
hkQsTransformf* | poseWorld |
hkQsTransformf* | poseLocalOut |